com.h3c.of.lib.msg

## Class TableFeaturePropOxm

- java.lang.Object
- - com.h3c.of.lib.msg.TableFeatureProp
  - - com.h3c.of.lib.msg.TableFeaturePropOxm

-     public class TableFeaturePropOxm
      extends TableFeatureProp

  Represents an "OXM" table feature property. This implementation provides the data as a set of supported `OXM basic field types`, with a lookup indicating whether the `has-mask` bit was set. Additionally, if any are defined, a list of supported `experimenter fields` are provided.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MFieldExperimenter>` | `getSupportedExperFields()` Returns the list of experimenter match fields supported by this table feature; Since 1.3.
    `Set<OxmBasicFieldType>` | `getSupportedFieldTypes()` Returns the set of OXM basic match field types supported by this table feature; Since 1.3.
    `int` | `getTotalLength()` Returns the length in bytes of the property when encoded.
    `boolean` | `hasMaskBitSet(OxmBasicFieldType ft)` Returns true if the mask bit was set for the specified field type.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.TableFeatureProp

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### hasMaskBitSet

          public boolean hasMaskBitSet(OxmBasicFieldType ft)

      Returns true if the mask bit was set for the specified field type. If the specified field type was not present in the table feature property, an exception is thrown.
      Parameters:
        `ft` - the field type to look up
      Returns:
        true if the has-mask bit was set; false otherwise
      Throws:
        `NullPointerException` - if ft is null
        `IllegalArgumentException` - if the field is not present in this feature property

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TableFeatureProp`

    - #### getTotalLength

          public int getTotalLength()

      Description copied from class: `TableFeatureProp`
      Returns the length in bytes of the property when encoded.

      This is really of interest only to the message encoder.

      Specified by:
        `getTotalLength` in class `TableFeatureProp`
      Returns:
        the length in bytes

    - #### getSupportedFieldTypes

          public Set<OxmBasicFieldType> getSupportedFieldTypes()

      Returns the set of OXM basic match field types supported by this table feature; Since 1.3.
      Returns:
        the set of supported basic match field types

    - #### getSupportedExperFields

          public List<MFieldExperimenter> getSupportedExperFields()

      Returns the list of experimenter match fields supported by this table feature; Since 1.3.
      Returns:
        the list of supported experimenter match fields

Copyright © 2014. All Rights Reserved.